package com.sundot.airport.exam.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.sundot.airport.exam.common.model.BaseEntity;

import java.io.Serializable;

/**
 * <b>功能名：ExamRec</b><br>
 * <b>说明：</b>考试记录表类<br>
 * <b>著作权：</b> Copyright (C) 2021 HUIFANEDU  CORPORATION<br>
 * <b>修改履历：</b><br>
 *
 * @author 2021-06-25 Mokou
 */
@TableName("edu_cs_exam_rec")
public class ExamRec extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 业务主键
     */
    private String erId;

    /**
     * 考试得分
     */
    private Integer erScore;

    /**
     * 答对题目数量
     */
    private Integer erBingoCount;

    /**
     * 部分答对题目数
     */
    private Integer erPartBingoCount;

    /**
     * 错误题目数
     */
    private Integer erIncorrectCount;

    /**
     * 未作答题目数
     */
    private Integer erNotFilledCount;

    /**
     * 正确率（百分数）
     */
    private Integer erCorrect;

    /**
     * 考试用时（单位：秒）
     */
    private Integer erExamTime;

    /**
     * 客户端类型（常量）
     */
    private String erClientType;

    /**
     * 考试表业务主键
     */
    private String erExId;

    /**
     * 考试名称
     */
    private String erExName;

    /**
     * 背景图片资源
     */
    private String erExBgImg;

    /**
     * 详情介绍图片资源
     */
    private String erExDetailImg;

    /**
     * 考试时间，0表示不限制（单位：秒）
     */
    private Integer erExExamTime;

    /**
     * 考试次数，0表示不限制
     */
    private Integer erExExamCount;

    /**
     * 考试后是否可见答案（0否1是）
     */
    private Boolean erExEnableAns;

    /**
     * 试卷表业务主键
     */
    private String erTpId;

    /**
     * 是否启用证书（0否1是）
     */
    private Boolean erExEnableCert;

    /**
     * 证书发放门槛分数
     */
    private Integer erExCertTh;

    /**
     * 证书名称
     */
    private String erExCertName;

    /**
     * 证书的背景图片
     */
    private String erExCertBgImg;

    /**
     * 证书的二维码图片
     */
    private String erExCertQrCode;

    /**
     * 证书的分享语
     */
    private String erExCertShareRemark;

    /**
     * 证书的评级内容（是有可能为空的）
     */
    private String erCrContent;

    /**
     * 试卷分类名称
     */
    private String erTpcName;

    /**
     * 试卷名称
     */
    private String erTpName;

    /**
     * 试卷题目数
     */
    private Integer erTpQuesNum;

    /**
     * 试卷总分
     */
    private Integer erTpTotalScore;

    /**
     * 用户业务主键
     */
    private String usrId;

    /**
     * 用户名称
     */
    private String erUsrName;

    /**
     * 用户头像
     */
    private String erHeadImg;

    /**
     * 幼儿园业务主键
     */
    private String erKiId;

    /**
     * 幼儿园名称
     */
    private String erKiName;

    /**
     * 幼儿园编号
     */
    private String erKiNumber;

    /**
     * 所属战区（战区表业务id）
     */
    private String erWzId;

    /**
     * 所属战区名称
     */
    private String erWzName;

    /**
     * 所属地区-省
     */
    private String erKiProvince;

    /**
     * 所属地区-省编码
     */
    private String erKiProvinceCode;

    /**
     * 所属地区-市
     */
    private String erKiCity;

    /**
     * 所属地区-市编码
     */
    private String erKiCityCode;

    /**
     * 所属地区-区县
     */
    private String erKiCounty;

    /**
     * 所属地区-区县编码
     */
    private String erKiCountyCode;

    /**
     * 产品表业务主键
     */
    private String prId;

    /**
     * 课程业务主键id
     */
    private String pcId;

    /**
     * 是否启用有效
     */
    private Boolean enableStatus;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getErId() {
        return erId;
    }

    public void setErId(String erId) {
        this.erId = erId;
    }

    public Integer getErScore() {
        return erScore;
    }

    public void setErScore(Integer erScore) {
        this.erScore = erScore;
    }

    public Integer getErBingoCount() {
        return erBingoCount;
    }

    public void setErBingoCount(Integer erBingoCount) {
        this.erBingoCount = erBingoCount;
    }

    public Integer getErCorrect() {
        return erCorrect;
    }

    public void setErCorrect(Integer erCorrect) {
        this.erCorrect = erCorrect;
    }

    public Integer getErExamTime() {
        return erExamTime;
    }

    public void setErExamTime(Integer erExamTime) {
        this.erExamTime = erExamTime;
    }

    public String getErClientType() {
        return erClientType;
    }

    public void setErClientType(String erClientType) {
        this.erClientType = erClientType;
    }

    public String getErExId() {
        return erExId;
    }

    public void setErExId(String erExId) {
        this.erExId = erExId;
    }

    public String getErExName() {
        return erExName;
    }

    public void setErExName(String erExName) {
        this.erExName = erExName;
    }

    public String getErExBgImg() {
        return erExBgImg;
    }

    public void setErExBgImg(String erExBgImg) {
        this.erExBgImg = erExBgImg;
    }

    public String getErExDetailImg() {
        return erExDetailImg;
    }

    public void setErExDetailImg(String erExDetailImg) {
        this.erExDetailImg = erExDetailImg;
    }

    public Integer getErExExamTime() {
        return erExExamTime;
    }

    public void setErExExamTime(Integer erExExamTime) {
        this.erExExamTime = erExExamTime;
    }

    public Integer getErExExamCount() {
        return erExExamCount;
    }

    public void setErExExamCount(Integer erExExamCount) {
        this.erExExamCount = erExExamCount;
    }

    public Boolean getErExEnableAns() {
        return erExEnableAns;
    }

    public void setErExEnableAns(Boolean erExEnableAns) {
        this.erExEnableAns = erExEnableAns;
    }

    public String getErTpId() {
        return erTpId;
    }

    public void setErTpId(String erTpId) {
        this.erTpId = erTpId;
    }

    public Boolean getErExEnableCert() {
        return erExEnableCert;
    }

    public void setErExEnableCert(Boolean erExEnableCert) {
        this.erExEnableCert = erExEnableCert;
    }

    public Integer getErExCertTh() {
        return erExCertTh;
    }

    public void setErExCertTh(Integer erExCertTh) {
        this.erExCertTh = erExCertTh;
    }

    public String getErExCertName() {
        return erExCertName;
    }

    public void setErExCertName(String erExCertName) {
        this.erExCertName = erExCertName;
    }

    public String getErExCertBgImg() {
        return erExCertBgImg;
    }

    public void setErExCertBgImg(String erExCertBgImg) {
        this.erExCertBgImg = erExCertBgImg;
    }

    public String getErExCertQrCode() {
        return erExCertQrCode;
    }

    public void setErExCertQrCode(String erExCertQrCode) {
        this.erExCertQrCode = erExCertQrCode;
    }

    public String getErExCertShareRemark() {
        return erExCertShareRemark;
    }

    public void setErExCertShareRemark(String erExCertShareRemark) {
        this.erExCertShareRemark = erExCertShareRemark;
    }

    public String getErCrContent() {
        return erCrContent;
    }

    public void setErCrContent(String erCrContent) {
        this.erCrContent = erCrContent;
    }

    public String getErTpcName() {
        return erTpcName;
    }

    public void setErTpcName(String erTpcName) {
        this.erTpcName = erTpcName;
    }

    public String getErTpName() {
        return erTpName;
    }

    public void setErTpName(String erTpName) {
        this.erTpName = erTpName;
    }

    public Integer getErTpQuesNum() {
        return erTpQuesNum;
    }

    public void setErTpQuesNum(Integer erTpQuesNum) {
        this.erTpQuesNum = erTpQuesNum;
    }

    public Integer getErTpTotalScore() {
        return erTpTotalScore;
    }

    public void setErTpTotalScore(Integer erTpTotalScore) {
        this.erTpTotalScore = erTpTotalScore;
    }

    public String getUsrId() {
        return usrId;
    }

    public void setUsrId(String usrId) {
        this.usrId = usrId;
    }

    public String getErUsrName() {
        return erUsrName;
    }

    public void setErUsrName(String erUsrName) {
        this.erUsrName = erUsrName;
    }

    public String getErHeadImg() {
        return erHeadImg;
    }

    public void setErHeadImg(String erHeadImg) {
        this.erHeadImg = erHeadImg;
    }

    public String getErKiId() {
        return erKiId;
    }

    public void setErKiId(String erKiId) {
        this.erKiId = erKiId;
    }

    public String getErKiName() {
        return erKiName;
    }

    public void setErKiName(String erKiName) {
        this.erKiName = erKiName;
    }

    public String getErKiNumber() {
        return erKiNumber;
    }

    public void setErKiNumber(String erKiNumber) {
        this.erKiNumber = erKiNumber;
    }

    public String getErWzId() {
        return erWzId;
    }

    public void setErWzId(String erWzId) {
        this.erWzId = erWzId;
    }

    public String getErWzName() {
        return erWzName;
    }

    public void setErWzName(String erWzName) {
        this.erWzName = erWzName;
    }

    public String getErKiProvince() {
        return erKiProvince;
    }

    public void setErKiProvince(String erKiProvince) {
        this.erKiProvince = erKiProvince;
    }

    public String getErKiProvinceCode() {
        return erKiProvinceCode;
    }

    public void setErKiProvinceCode(String erKiProvinceCode) {
        this.erKiProvinceCode = erKiProvinceCode;
    }

    public String getErKiCity() {
        return erKiCity;
    }

    public void setErKiCity(String erKiCity) {
        this.erKiCity = erKiCity;
    }

    public String getErKiCityCode() {
        return erKiCityCode;
    }

    public void setErKiCityCode(String erKiCityCode) {
        this.erKiCityCode = erKiCityCode;
    }

    public String getErKiCounty() {
        return erKiCounty;
    }

    public void setErKiCounty(String erKiCounty) {
        this.erKiCounty = erKiCounty;
    }

    public String getErKiCountyCode() {
        return erKiCountyCode;
    }

    public void setErKiCountyCode(String erKiCountyCode) {
        this.erKiCountyCode = erKiCountyCode;
    }

    public String getPrId() {
        return prId;
    }

    public void setPrId(String prId) {
        this.prId = prId;
    }

    public String getPcId() {
        return pcId;
    }

    public void setPcId(String pcId) {
        this.pcId = pcId;
    }

    public Boolean getEnableStatus() {
        return enableStatus;
    }

    public void setEnableStatus(Boolean enableStatus) {
        this.enableStatus = enableStatus;
    }

    public Integer getErPartBingoCount() {
        return erPartBingoCount;
    }

    public void setErPartBingoCount(Integer erPartBingoCount) {
        this.erPartBingoCount = erPartBingoCount;
    }

    public Integer getErIncorrectCount() {
        return erIncorrectCount;
    }

    public void setErIncorrectCount(Integer erIncorrectCount) {
        this.erIncorrectCount = erIncorrectCount;
    }

    public Integer getErNotFilledCount() {
        return erNotFilledCount;
    }

    public void setErNotFilledCount(Integer erNotFilledCount) {
        this.erNotFilledCount = erNotFilledCount;
    }

    @Override
    public String toString() {
        return "ExamRec{" +
                "id=" + id +
                ", erId='" + erId + '\'' +
                ", erScore=" + erScore +
                ", erBingoCount=" + erBingoCount +
                ", erPartBingoCount=" + erPartBingoCount +
                ", erIncorrectCount=" + erIncorrectCount +
                ", erNotFilledCount=" + erNotFilledCount +
                ", erCorrect=" + erCorrect +
                ", erExamTime=" + erExamTime +
                ", erClientType='" + erClientType + '\'' +
                ", erExId='" + erExId + '\'' +
                ", erExName='" + erExName + '\'' +
                ", erExBgImg='" + erExBgImg + '\'' +
                ", erExDetailImg='" + erExDetailImg + '\'' +
                ", erExExamTime=" + erExExamTime +
                ", erExExamCount=" + erExExamCount +
                ", erExEnableAns=" + erExEnableAns +
                ", erTpId='" + erTpId + '\'' +
                ", erExEnableCert=" + erExEnableCert +
                ", erExCertTh=" + erExCertTh +
                ", erExCertName='" + erExCertName + '\'' +
                ", erExCertBgImg='" + erExCertBgImg + '\'' +
                ", erExCertQrCode='" + erExCertQrCode + '\'' +
                ", erExCertShareRemark='" + erExCertShareRemark + '\'' +
                ", erCrContent='" + erCrContent + '\'' +
                ", erTpcName='" + erTpcName + '\'' +
                ", erTpName='" + erTpName + '\'' +
                ", erTpQuesNum=" + erTpQuesNum +
                ", erTpTotalScore=" + erTpTotalScore +
                ", usrId='" + usrId + '\'' +
                ", erUsrName='" + erUsrName + '\'' +
                ", erHeadImg='" + erHeadImg + '\'' +
                ", erKiId='" + erKiId + '\'' +
                ", erKiName='" + erKiName + '\'' +
                ", erKiNumber='" + erKiNumber + '\'' +
                ", erWzId='" + erWzId + '\'' +
                ", erWzName='" + erWzName + '\'' +
                ", erKiProvince='" + erKiProvince + '\'' +
                ", erKiProvinceCode='" + erKiProvinceCode + '\'' +
                ", erKiCity='" + erKiCity + '\'' +
                ", erKiCityCode='" + erKiCityCode + '\'' +
                ", erKiCounty='" + erKiCounty + '\'' +
                ", erKiCountyCode='" + erKiCountyCode + '\'' +
                ", prId='" + prId + '\'' +
                ", pcId='" + pcId + '\'' +
                ", enableStatus=" + enableStatus +
                '}';
    }
}
